This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 831123 - Review Request: ghc-lambdabot-utils - Utility libraries for the Lambdabot IRC bot
Review Request: ghc-lambdabot-utils - Utility libraries for the Lambdabot IRC...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 05:15 EDT by Shakthi Kannan
Modified: 2012-07-17 13:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 13:24:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-06-12 05:15:08 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-lambdabot-utils.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-lambdabot-utils-4.2.1-1.fc16.src.rpm
Description: Utility libraries for the Lambdabot IRC bot
Fedora Account System Username: shakthimaan
Comment 1 Shakthi Kannan 2012-06-12 05:16:38 EDT
$  rpmlint ghc-lambdabot-utils.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-lambdabot-utils-4.2.1-1.fc16.src.rpm 
ghc-lambdabot-utils.src: W: spelling-error %description -l en_US haskell -> Haskell
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$  rpmlint ghc-lambdabot-utils-4.2.1-1.fc16.x86_64.rpm 
ghc-lambdabot-utils.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$  rpmlint ghc-lambdabot-utils-devel-4.2.1-1.fc16.x86_64.rpm 
ghc-lambdabot-utils-devel.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Successful Koji builds for F16, F17 and F18 respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4153888
http://koji.fedoraproject.org/koji/taskinfo?taskID=4153893
http://koji.fedoraproject.org/koji/taskinfo?taskID=4153896
Comment 2 Narasimhan 2012-07-07 08:06:39 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-lambdabot-utils-4.2.1-1.fc16.src.rpm ghc-lambdabot-utils-4.2.1-1.fc16.x86_64.rpm ghc-lambdabot-utils-devel-4.2.1-1.fc16.x86_64.rpm ../ghc-lambdabot-utils.spec 
ghc-lambdabot-utils.src: W: spelling-error %description -l en_US haskell -> Haskell
The value of this tag appears to be misspelled. Please double-check.

ghc-lambdabot-utils.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
The value of this tag appears to be misspelled. Please double-check.

ghc-lambdabot-utils-devel.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 3 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package.

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
GPLv2.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum lambdabot-utils-4.2.1.tar.gz 
dc60dc985174696140574082db988907  lambdabot-utils-4.2.1.tar.gz

md5sum ghc-lambdabot-utils-4.2.1-1.fc16.src/lambdabot-utils-4.2.1.tar.gz 
dc60dc985174696140574082db988907  ghc-lambdabot-utils-4.2.1-1.fc16.src/lambdabot-utils-4.2.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-lambdabot-utils-4.2.1-1.fc16.x86_64
error: Failed dependencies:
        ghc(lambdabot-utils-4.2.1) = e1e62e287defa45d00e1f6b39293162d is needed by (installed) ghc-lambdabot-utils-devel-4.2.1-1.fc16.x86_64
        ghc-lambdabot-utils = 4.2.1-1.fc16 is needed by (installed) ghc-lambdabot-utils-devel-4.2.1-1.fc16.x86_64

[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Loaded Lambdabot.AltTime into ghci. Works fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Shakthi Kannan 2012-07-07 12:39:04 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: ghc-lambdabot-utils
Short Description: Utility libraries for the IRC bot Lambdabot
Owners: shakthimaan
Branches: f16 f17
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2012-07-07 14:54:08 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-07-08 01:06:25 EDT
ghc-lambdabot-utils-4.2.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-lambdabot-utils-4.2.1-1.fc16
Comment 6 Fedora Update System 2012-07-08 01:06:37 EDT
ghc-lambdabot-utils-4.2.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-lambdabot-utils-4.2.1-1.fc17
Comment 7 Fedora Update System 2012-07-08 16:53:01 EDT
ghc-lambdabot-utils-4.2.1-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 8 Fedora Update System 2012-07-17 13:24:33 EDT
ghc-lambdabot-utils-4.2.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2012-07-17 13:29:49 EDT
ghc-lambdabot-utils-4.2.1-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.